//
// "$Id: CoolInput.h 2006-11-27 07:46:00 Dmitry Perov [gentooshnik@rambler.ru] $"
//
// Copyright 1998-2006 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to "fltk-bugs@fltk.org".

#ifndef fltk_CoolInput_images_h
#define fltk_CoolInput_images_h 1

static char * copy_xpm[] = {
"15 15 53 1",
" 	c None",
".	c #CCCCCC",
"+	c #FFFFFF",
"@	c #777777",
"#	c #6B6B6B",
"$	c #EEEEEE",
"%	c #62A962",
"&	c #F8F8F8",
"*	c #D2D2D2",
"=	c #ABD7AB",
"-	c #FEFEFE",
";	c #BFBFBF",
">	c #C7ECC7",
",	c #FAFDFA",
"'	c #E1E4E1",
")	c #B7B7B7",
"!	c #BAEABA",
"~	c #E4F8E4",
"{	c #FCFEFC",
"]	c #DEE2DE",
"^	c #515151",
"/	c #D1D1D1",
"(	c #A0A0A0",
"_	c #90D090",
":	c #CEF1CE",
"<	c #D0F2D0",
"[	c #DBF2DB",
"}	c #E6E9E6",
"|	c #565656",
"1	c #4C4C4C",
"2	c #56B056",
"3	c #65C565",
"4	c #5EBA5E",
"5	c #438C43",
"6	c #C2CBC2",
"7	c #5E5E5E",
"8	c #4DA24D",
"9	c #4DA44D",
"0	c #3A733A",
"a	c #C5C9C5",
"b	c #F5F5F5",
"c	c #FDFDFD",
"d	c #686868",
"e	c #B9B9B9",
"f	c #EFEFEF",
"g	c #FCFCFC",
"h	c #6C6C6C",
"i	c #C6C6C6",
"j	c #CBCBCB",
"k	c #555555",
"l	c #737373",
"m	c #757575",
"n	c #666666",
" .......       ",
" .+++++.       ",
" .+++++.@      ",
" .+++++.#      ",
" .+$%&.......  ",
" .+*=%.-++++.  ",
" .+;>,%'-+++.  ",
" .+)!~{%]-++.^ ",
" ./(_:<[%}++.| ",
"   123456&++.7 ",
"    890abc++.d ",
"    50efg+++.h ",
"    0 iij....d ",
"        k#lmhn ",
"               "};

static char * cut_xpm[] = {
"16 16 60 1",
" 	c None",
".	c #4881AA",
"+	c #497FA7",
"@	c #66859D",
"#	c #929292",
"$	c #758B99",
"%	c #4782A6",
"&	c #487EA7",
"*	c #4B7EA2",
"=	c #FFFFFF",
"-	c #F4F5F7",
";	c #9E9E9E",
">	c #FAFAFA",
",	c #F4F4F4",
"'	c #CBCBCB",
")	c #686D71",
"!	c #8CA1B7",
"~	c #7699B9",
"{	c #487FAA",
"]	c #F5F6F7",
"^	c #FBFBFC",
"/	c #C0C0C0",
"(	c #B2B2B2",
"_	c #939393",
":	c #727272",
"<	c #F0F6F9",
"[	c #6291B2",
"}	c #407188",
"|	c #EFF0F3",
"1	c #FEFEFE",
"2	c #CACACA",
"3	c #5E94B7",
"4	c #3E6993",
"5	c #E8EAEC",
"6	c #5B95BB",
"7	c #467BA5",
"8	c #E0E3E6",
"9	c #52638C",
"0	c #4980AB",
"a	c #D9DEE3",
"b	c #7886A6",
"c	c #5B90BB",
"d	c #4784A4",
"e	c #CED5DB",
"f	c #5D91BB",
"g	c #B6C2CD",
"h	c #487AAA",
"i	c #9FB2C0",
"j	c #4979AB",
"k	c #85A4C0",
"l	c #4A7EAE",
"m	c #73A2C1",
"n	c #6794BF",
"o	c #6194BC",
"p	c #598EB8",
"q	c #3E6D90",
"r	c #3E6F93",
"s	c #3F6A94",
"t	c #406D96",
"u	c #3F6E94",
"                ",
"   .+@####$%&   ",
"  *=-;=>,')!~&  ",
"  {]^#/(_::<[}  ",
"  &|1/::::2134  ",
"  &5========64  ",
"  78========94  ",
"  0a=======bc4  ",
"  de==b===b=f4  ",
"  &g=b=b=b==f4  ",
"  hib===b===f4  ",
"  h9========f4  ",
"  jk========f4  ",
"  lmno6pppppf4  ",
"   hqrstuuttu   ",
"                "};

static char * paste_xpm[] = {
"16 16 75 1",
" 	c None",
".	c #4881AA",
"+	c #497FA7",
"@	c #66859D",
"#	c #929292",
"$	c #758B99",
"%	c #4782A6",
"&	c #487EA7",
"*	c #4B7EA2",
"=	c #FFFFFF",
"-	c #F4F5F7",
";	c #9E9E9E",
">	c #FAFAFA",
",	c #F4F4F4",
"'	c #CBCBCB",
")	c #696D71",
"!	c #B3C6D9",
"~	c #7699B9",
"{	c #487FAA",
"]	c #F5F6F7",
"^	c #C0C0C0",
"/	c #B2B2B2",
"(	c #A0A0A0",
"_	c #7B7B7B",
":	c #7D7D7D",
"<	c #6291B2",
"[	c #407188",
"}	c #EFF0F3",
"|	c #727272",
"1	c #D8D8D8",
"2	c #5E94B7",
"3	c #3E6993",
"4	c #E8EAEC",
"5	c #5B95BB",
"6	c #467BA5",
"7	c #E0E3E6",
"8	c #EDEDED",
"9	c #E0E0E0",
"0	c #D5D5D5",
"a	c #C4C4C4",
"b	c #BDBDBD",
"c	c #4980AB",
"d	c #D9DEE3",
"e	c #4784A4",
"f	c #CED5DB",
"g	c #EEEEEE",
"h	c #D3D3D3",
"i	c #B6C2CD",
"j	c #487AAA",
"k	c #9FB2C0",
"l	c #EFEFEF",
"m	c #090909",
"n	c #8FA9BE",
"o	c #0F0F0F",
"p	c #4979AB",
"q	c #85A4C0",
"r	c #181818",
"s	c #4A7EAE",
"t	c #73A2C1",
"u	c #6794BF",
"v	c #6194BC",
"w	c #598EB8",
"x	c #2A2A2A",
"y	c #3E6D90",
"z	c #3E6F93",
"A	c #3F6A94",
"B	c #406D96",
"C	c #BBBBBB",
"D	c #BEBEBE",
"E	c #2E2E2E",
"F	c #101010",
"G	c #141414",
"H	c #1C1C1C",
"I	c #282828",
"J	c #262626",
"                ",
"   .+@####$%&   ",
"  *=-;=>,')!~&  ",
"  {]=#^/(_:=<[  ",
"  &}=^||||1=23  ",
"  &4========53  ",
"  67=890aaaaaab ",
"  cd====a=====b ",
"  ef=g9ha=====b ",
"  &i====a=====b ",
"  jk=l9hb=====bm",
"  jn====a=====bo",
"  pq====a=====br",
"  stuv5wa=====bx",
"   jyzABCbbDbbbE",
"           FGHIJ"};

#endif
